# Tiny Music Player

[<img src="https://img.shields.io/github/license/martinmimigames/tiny-music-player?style=flat-square"
alt="Read license">](https://github.com/martinmimigames/tiny-music-player/blob/main/LICENSE.md)

## Descriptions

This project is a light-weight, simple, yet compatible notification-based audio player.

Supports Android 1.0+

It allows you to play audio and video files, like how you expected to. Most importantly it is
designed in hope to make it compatible with different Android versions.

Its usage is as easy as opening or sharing the file you want to play with the app, or selecting it
directly from the app. Enjoy your music!

Location of webpage:
[https://martinmimigames.github.io/projects/tiny-music-player](https://martinmimigames.github.io/projects/tiny-music-player)

You can find most information about *Tiny Music Player* just below.


## Different variations

- [Little Music Player](https://github.com/martinmimigames/little-music-player)

  Small, compatible, notification-based music player with more functions.

## Notices

The app will not be able to function properly without notification permissions being granted.
For Android 13+, due to new notification restrictions, the app will bring you to the settings page if the permission is not granted.

## Features

- It's free

  Everyone should have the right to listen to music, therefore we aim to make it accessible.

- No advertisement

  We simply want a distraction-free experience for you, so you can relax and enjoy!

- Compact

  Less than 20 kB in size, one of the tiniest audio player apps on Android! No need to worry about bloated apps again.

- Unbelievably compatible

  Strangely addicted to support, we believe that nobody should be excluded due to an older device. Therefore we have theoretical support starting all the way back from Android 1.0, and tested support on Android 2.3 and above. Isn't it amazing?

- Clean & Simple

  No awkward layout, no hidden options and straightforward, so you can focus on the content. Enjoyment is key, right?

- It simply works :)

  Even in the modern world, there is always something seeming to fail. Luckily for you, this app was designed to work just like it is supposed to. It supports all audio types that your device supports.

- Minimal permissions required

  Have you ever met an app asking for a bunch of unrelated permissions? Have you ever had some
  strange requests reminding you of a malware? **Not this app!** The only 2 required permissions are
  foreground service and read storage permission, so you know it's safe to use.

- No hidden third-parties

  It is completely open-source, and uses as little third-party libraries as possible.

If you worry about size, compatibility or privacy, this is the best app for you!

We use the foreground service permission to provide audio playing while using other apps.

we use the notification permission to provide playback control for audio playing.

We use the read storage permission on older devices to open the audio files. (not required for newer
devices)

## Branches

- main: latest source-code

## Issues

Issues and pull requests are always welcome!

You can submit issues the following ways:
- via [Github Issues](https://github.com/martinmimigames/tiny-music-player/issues).
- via email: martinmimigames@gmail.com

## Latest Versions

- v1.3
  - Added Loop function (accessible via the notifications)
  - Cleaner Notification Category descriptions
- v1.2
  - fixed not having permission to open audios on older android (read permission)
  - fixed notification not disappearing when player failed to start
  - more time to read error message
  - fixed incorrect results checking for opening files
  - updated notification looks to blend in more correctly
  - updated description
  - reduced app size
- v1.1
  - fixed double opening file explorer
  - changed logo icon
  - reduced app size
- v1.0
  - 1st release
  
 ## Installation

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/com.martinmimigames.tinymusicplayer/)
     
[Get it on Github Releases](https://github.com/martinmimigames/tiny-music-player/releases/latest)

[Get it on the official website](https://martinmimigames.github.io/projects/tiny-music-player)

## Made by Martinmimigames

Official Website at [https://martinmimigames.github.io](https://martinmimigames.github.io)

### Last update of README

Date : 04-02-2023 dd-mm-yyyy

### Important

**Please read the license!**
